<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head>
    <title>Tela de manutenção de contatos</title>
</h:head>
<h:body>
	<h:form>
        <p:dataTable var="contato" value="#{contatoControl.contatos}" editable="true">
            <p:ajax event="rowEdit" listener="#{contatoControl.salvar}"/>
            <p:column headerText="Nome" field="nome">
                <p:cellEditor>
                    <f:facet name="output">                
                        <h:outputText value="#{contato.nome}"/>
                     </f:facet>
                     <f:facet name="input">                
                        <p:inputText value="#{contato.nome}"/>
                     </f:facet>
                </p:cellEditor>        
            </p:column>
            <p:column headerText="Telefone">
                <p:cellEditor>
                    <f:facet name="output">                
                        <h:outputText value="#{contato.telefone}"/>
                    </f:facet>
                     <f:facet name="input">                
                        <p:inputText value="#{contato.telefone}"/>
                     </f:facet>
                </p:cellEditor>        
            </p:column>
            <p:column headerText="Instagram">
                <p:cellEditor>
                    <f:facet name="output">                
                        <h:outputText value="#{contato.instagram}"/>
                    </f:facet>
                     <f:facet name="input">                
                        <p:inputText value="#{contato.instagram}"/>
                     </f:facet>
                </p:cellEditor>        
            </p:column>
            <p:column style="width:6rem">
                <p:rowEditor editTitle="Edit Row" cancelTitle="Cancel Edit" saveTitle="Save Row"/>
            </p:column>            
        </p:dataTable>
    </h:form>
</h:body>

</html>